Bug 61669 - smb browsing prompt for password
smb browsing prompt for password
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
: FutureFeature
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-22 14:54 EST by James Riggs
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-27 16:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Riggs 2002-03-22 14:54:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020312

Description of problem:
When using nautilus to browse an smb share it is done using the format
smb://userid:password@machine/share.  The password is constantly displayed.  It
seems it would be preferable to do something similar to what web browsers do for
ftp where you could enter
smb://userid@machine/share,  nautilus would prompt for the password but not
display it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  browse any smbshare requireing a userid and password

Additional info:
Comment 1 Havoc Pennington 2002-03-22 18:07:50 EST
Agreed, at the time smb support was implemented gnome-vfs did not have the
infrastructure for this. I believe it does now so the feature could be added.
Comment 2 Alexander Larsson 2002-03-22 18:48:10 EST
It's even implemented in the cvs version.
Comment 3 Havoc Pennington 2002-03-27 16:52:45 EST
Alex says the CVS version has a major issue though, which is that it 
holds your SMB connections open indefinitely. The current SMB feature is 
really slow because each file operation reopens the connection; the 
one in CVS is fast but doesn't necessarily ever expire the connection cache,
since control flow doesn't have to ever return to the gnome-vfs module.

What do people think is the right thing to do? Is the caching problem more or
less important than the password dialog issue? Should I grab the CVS snap?
Comment 4 Havoc Pennington 2002-03-27 19:33:57 EST
We decided to put in 0.2.0 which does have the password prompt feature
and is also a lot faster.
May have other "features" too, but we'll see ;-)
Current version was basically unusable so this should at least be an improvement.

Note You need to log in before you can comment on or make changes to this bug.